/***************************************************************************
 *   Copyright (C) 2010 by Conrad Hoffmann                                 *
 *   ch@bitfehler.net                                                      *
 *   http://code.bitfehler.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2,       *
 *   as published by the Free Software Foundation,                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef SERVERSTATUS_SERVERICON_H
#define SERVERSTATUS_SERVERICON_H

#include <Plasma/IconWidget>


namespace ServerStatus
{
	
class Config;
class Status;

class ServerIcon : public Plasma::IconWidget
{

Q_OBJECT

public:

	ServerIcon(Config* config, QGraphicsItem* parent);
	~ServerIcon();

public Q_SLOTS:
	
	void slotChangeStatus(const ServerStatus::Status& status);
	
private:

	Config* config_;

};

} // end namespace serverstatus

#endif

